import { NodeTrustedMailcore2NativeBinding } from "../types/NodeTrustedMailcore2NativeBinding";
import { IMAPSyncResultNativeBinding } from '../types';
import { IMAPMessage } from "./IMAPMessage";
declare let bindings: NodeTrustedMailcore2NativeBinding;
/**
 * IMAPSyncResult Class
 *
 * @public
 */
declare class IMAPSyncResult extends bindings.IMAPSyncResult {
    /**
     * Wrapping object handle
     *
     * @internal
     */
    handle: IMAPSyncResultNativeBinding;
    constructor();
    /**
     * Get modifiedOrAddedMessages
     *
     * @type {IMAPMessage[]}
     * @memberof IMAPSyncResult
     */
    get modifiedOrAddedMessages(): IMAPMessage[];
    /**
     * Get vanished messages
     *
     * @type {number[]}
     * @memberof IMAPSyncResult
     */
    get vanishedMessages(): number[];
}
export { IMAPSyncResult };
//# sourceMappingURL=IMAPSyncResult.d.ts.map